#!/bin/bash

palettespath="/usr/share/color-palettes/"
gimppath="/usr/share/gimp/2.0/palettes/"
inkscapepath="/usr/share/inkscape/"
kritapath="/usr/share/krita/"


function removeolderpalettes
{
	echo -n Removing older color-palettes installation...
	rm -rf "$palettespath" 2> /dev/null
	echo Ok!
}

function installpalettes
{
	echo -n Copying palettes...
	mkdir $palettespath
	cp  ./color-palettes/*.* $palettespath
	echo Ok!
	
	echo -n Setting permissions...
	chmod 655 /usr/share/color-palettes -R
	echo Ok!
}

function gimppalettesinstall
{
	#echo -n Backing-up Gimp Palettes...
	#cd $gimppath
	#mv palettes palettes.backup
	#echo Ok!
	
	echo -n Copying Gimp Palettes...
	ln -s /usr/share/color-palettes/*.* . 2> /dev/null
	echo Ok!
}


function inkscapepalettesinstall
{
	echo -n Creating Inkscape Palettes...
	ln -s /usr/share/color-palettes/*.* . 2> /dev/null
	echo Ok!
}

function kritapalettesinstall
{
	echo -n Creating Krita Palettes...
	ln -s /usr/share/color-palettes/*.* . 2> /dev/null
	echo Ok!
}

clear
echo -----------------------------------------------
echo COLOR PALETTES INSTALLATION PROGRAM
echo -----------------------------------------------


removeolderpalettes
installpalettes
cd /usr/share/gimp/2.0/palettes/ && gimppalettesinstall || echo Gimp is not Installed... skiping...

cd /usr/share/inkscape/palettes/ && inkscapepalettesinstall || echo Inkskape is not Installed... skiping...

cd /usr/share/krita/palettes/ && kritapalettesinstall || echo Krita is not Installed... skiping...

echo Installation finished!
echo -----------------------------------------------
echo Enjoy It!
